GuidesAPI ReferenceChangelogAPI StatusAPI PolicyGusto Security
API Reference

Update Federal Tax Details

Updates a company's federal tax details including EIN, legal name, tax payer type, filing form, and S-Corp taxation status. This information is required to onboard a company for use with Gusto Embedded Payroll.

Prerequisites

Before calling this endpoint, retrieve the current federal tax details and version via GET /v1/companies/{company_id}/federal_tax_details

Webhooks

  • company.updated: Fires when federal tax details for a company are successfully updated

Setup: POST /v1/webhook_subscriptions with subscription_types: ["Company"]

scope: company_federal_taxes:write

Path Params
string
required

The UUID of the company

Body Params
string
required

The current version of the object. See the versioning guide for information on how to use this field.

string
string

The company's Employer Identification Number (EIN). Must be 9 digits. Dashes are optional (e.g., '12-3456789' or '123456789').

string
enum

What type of tax entity the company is. One of:

  • C-Corporation
  • S-Corporation
  • Sole proprietor
  • LLC
  • LLP
  • Limited partnership
  • Co-ownership
  • Association
  • Trusteeship
  • General partnership
  • Joint venture
  • Non-Profit
string
enum

The form used by the company for federal tax filing. One of:

  • 941 (Quarterly federal tax return form)
  • 944 (Annual federal tax return form)
Allowed:
boolean

Whether the company is taxed as an S-Corporation

Headers
string
enum
Defaults to 2026-02-01

Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.

Allowed:
Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json